/**
 * Target of the animation
 *
 *
 */
import { TypedAnimNode } from './_Base';
import { TimelineBuilder } from '../../../core/animation/TimelineBuilder';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class TargetAnimParamsConfig extends NodeParamsConfig {
    /** @param sets if the target is a Polygonjs node, or a THREE object */
    type: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
    /** @param if set to a Polygonjs node, this is the node path */
    nodePath: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.OPERATOR_PATH>;
    /** @param if set to a THREE object, this is a mask to find the objects */
    objectMask: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.STRING>;
    /** @param sets if the matrix should be updated as the animation progresses */
    updateMatrix: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param prints which objects are targeted by this node, for debugging */
    printResolve: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BUTTON>;
}
export declare class TargetAnimNode extends TypedAnimNode<TargetAnimParamsConfig> {
    params_config: TargetAnimParamsConfig;
    static type(): string;
    initializeNode(): void;
    cook(input_contents: TimelineBuilder[]): void;
    private _create_target;
    private _set_update_callback;
    static PARAM_CALLBACK_print_resolve(node: TargetAnimNode): void;
    private print_resolve;
}
export {};
